Skip to main content

List FIDO UAF credentials of a client

GET 

/nevisidm/api/core/v1/clients/:extId/fido-uaf

Since: 7.2402.0

Required permission(s): AccessControl.ClientView,AccessControl.CredentialView

Returns all FIDO UAF credentials belonging to users of the client with the given external ID. Supports filtering and continuation-token-based pagination.

Request

Path Parameters

    extId stringrequired

    External ID of the client.

    Example: client-123

Query Parameters

    continuationToken string

    Pagination continuation token from a previous response.

    limit int32

    Default value: 0

    Maximum number of results to return.

    Example: 100
    allParams objectrequired

Responses

FIDO UAF credentials retrieved successfully

Schema
    items object[]
  • Array [
  • created string

    Creation date of the entity.

    lastModified string

    Date when the entity was last modified.

    version int32

    Version used for optimistic locking.

    extId string

    The external ID of the credential.

    userExtId string

    The external ID of the user to whom the credential belongs.

    policyExtId string

    The external ID of the used policy.

    stateName string

    Possible values: [initial, active, tmp-locked, fail-locked, reset-code, admin-changed, disabled, archived]

    The state of the credential. Available values: initial, active, tmp-locked, fail-locked, reset-code, admin-changed, disabled, archived.

    stateChangeReason string

    Reason for the last state change of the password.

    stateChangeDetail string

    Reason detail for the last state change of the password.

    lastSuccessfulLoginDate string

    Timestamp of last successful login.

    successfulLoginCount int32

    Counts successful logins with this credential since last initialization or reset.

    lastFailedLoginDate string

    Date of last non-technical login failure, for example, wrong password.

    failedLoginCount int32

    Counts non-technical login failures since the last successful login, initialization or reset.

    modificationComment string

    Textual comment regarding the last modification.

    type string

    Possible values: [Password, Certificate, SecurID User Mapping, Ticket Authorization, Safeword User Mapping, OTP Card, Temporary Strong Password, Generic Credential, Kerberos, mTan, Vasco, PUK, URL Ticket, DevicePassword, MobileSignature, SAML Federation, Security Questions, Context Password, OATH, FIDO UAF Authenticator, Recovery Code, FIDO2 Authenticator]

    Type of credential.

    validity object

    Describes the validity period of the password.

    from string

    Start date of the entity's validity in ISO format.

    to string

    End date of the entity's validity in ISO format.

    aaid string

    The authenticator attestation identifier.

    keyId string

    The key identifier of the authenticator registered key.

    signCounter int32

    Indicates how many times this authenticator has performed signatures in the past.

    authenticatorVersion int32

    The version of the authenticator, as $major.$minor.

    appId string

    The OS-specific ID of the application that uses the FIDO credential.

    deviceId string

    The device identifier obtained from a push service.

    publicKey string

    The user authentication public key generated by the FIDO Authenticator during registration.

    publicKeyAlgorithm string

    The public key algorithm used for the public key in the authenticator record.

    dispatchTargetExtId string

    Unique 1:N association between the dispatch target and the UAF credential.

    dispatchTarget object

    The dispatch target to which the credential is associated.

    created string

    Creation date of the entity.

    lastModified string

    Date when the entity was last modified.

    version int32

    Version used for optimistic locking.

    extId string

    The unique external ID of the dispatch target within the client. If not provided, one will be generated. It has to be unique on client

    type string

    Possible values: [fido-uaf]

    Default value: fido-uaf

    The type of the dispatch target.

    deviceId string

    The identifier of the device associated with this dispatch target.

    target string

    The target identifier of the authentication channel.

    dispatcher string

    The name of the dispatcher responsible for routing messages to this target.

    userAgent string

    User-Agent string of the FIDO UAF device.

    encryptionKey string

    Encryption key used for encrypting the channel data.

    signingKey string

    The signing key used for signing dispatch channel information.

    appId string

    The application ID where the device is registered.

    name string

    Human-readable name of the device.

    state string

    Possible values: [active, disabled]

    Default value: active

    The current state of the dispatch target.

    identification string

    Business identification of the dispatch target.

    appAttestation object

    The iOS App Attestation associated with this dispatch target, if any.

    created string

    Creation date of the entity.

    lastModified string

    Date when the entity was last modified.

    version int32

    Version used for optimistic locking.

    name string

    User friendly name of the iOS App Attestation.

    counter int32

    Number of times the attestation was used to successfully validate an assertion.

    receipt string

    Receipt data of the iOS App Attestation.

    publicKey string

    Public key of the iOS App Attestation.

    deviceId string

    Device ID associated with the iOS App Attestation.

    environment string

    The environment where this credential can be used.

    attestationType string

    Possible values: [fullBasic, fullBasicPermissive, failedFullBasicPermissive, surrogateBasic, ecdaa]

    The attestation type used during registration.

  • ]
  • _pagination object
    continuationToken string

    The continuation token for fetching the next page of results generated from creation date and external id of the last entity

    limit int32

    The maximum number of results returned in a single page

    totalResult int64

    The total number of results available, only supported for selected endpoints, if returnTotalResultCount query-parameter is true

    _classifications object
    property name* string[]
  • Array [
  • string

  • ]
Loading...